Database access error, incorrect product version -- 6.9.7322.3, expecting 6.9.7332.3.

Hello,

We recently installed Change Auditor, and I am trying to connect using "Quest Change Auditor Client 6"

After getting the client installed on my Win 7 machine, I can launch the exe which has no problem detecting the profiles we have.  However, when I click to connect, I am met with the error in the subject:

 "Warning","System.Data.VersionNotFoundException: Database access error, incorrect product version -- 6.9.7322.3, expecting 6.9.7332.3.
at ChangeAuditor.MainForm.TryConnectRepository()"

From the GUI -> About, it shows "Change Auditor Version 6.9.3 / Build 7332

Wondering if this is truly a version issue, or a user permissions issue. 

Any help would be appreciated.

Thanks.

  • Hi George,

    Based on the warning you have upgraded the client but not yet the coordinator. Notice the client build (7332) is newer than the coordinator build (7322).
    If you can upgrade the coordinator via the 7332 install media you should be able to connect successfully once the coordinator is in 'Running' state.

    Regards,
    Chris Hood
  • In reply to Chris.Hood:

    Hi Chris,

    Thank you for the assistance. Unfortunately, I don't have any control over the coordinators in our environment. As such, I was hoping to find a client install that would be compatible with our existing coordinator version. Hope that makes sense.

    Thanks again,
    George
  • In reply to george.ryan:

    Hi George,

    Makes sense.

    In this case, you will need to uninstall the 6.9.3.7332 client and install the client from the 6.9.3.7322 install package so that your client matches the currently installed coordinator version.

    Your CA Admins should have a copy of the 6.9.3.7322 install package they can provide you I would expect.